/* article-leaks-link
=========================================================== */
.article-leaks-link {
  display: block;
  margin: 0 0 30px;
  padding: 0;
  background-image: url(/common/images/bunshun/v1/article/leaks/sd-leaks-middle.png);
  background-repeat: repeat-y;
  background-color: #e7e7e7;
  background-size: 100%;
  position: relative;
  clear: both;
  text-align: center;

  &::before {
    content: "";
    display: block;
    background: url(/common/images/bunshun/v1/article/leaks/sd-leaks-header.png) no-repeat;
    height: 71px;
    background-size: 100%;
  }

  &:after {
    content: "";
    display: block;
    background: url(/common/images/bunshun/v1/article/leaks/sd-leaks-bottom.png) no-repeat;
    height: 15px;
    background-size: 100%;
    background-position: bottom;
  }
}

.article-leaks-link a.article-leaks-link__button {
  display: block;
  width: 68%;
  margin: 10px auto 0;
  padding: 2.5% 14%;
  background: #fff;
  border-radius: 8px;
  font-size: 1.6rem;
  color: #000;
  position: relative;
  border: none;
  text-align: center;
  font-weight: bold;

  &:hover {
    padding: 2.5% 14%;
    border: none;
    color: #000;
  }

  &:after {
    content: "";
    display: inline-block;
    width: 9px;
    height: 9px;
    border-right: 2px solid #000;
    border-bottom: 2px solid #000;
    position: absolute;
    top: 50%;
    right: 7%;
    transform: translateY(-50%) rotate(-45deg);
  }
}

/* article-photo-link
=========================================================== */
/* TODO: 詳細度で勝てないため、 id で設定している、将来的には class にしたい */
#article-photo-link {
  display: block;
  width: 90%;
  max-width: 375px;
  margin: 0 auto 29px;
  padding: 16px;
  border: 2px solid #bbb;
  border-radius: 4px;
  font-size: 1.6rem;
  color: #767676;
  text-align: center;
}

.article-photo-link__label {
  margin-right: 5px;
  line-height: 1.4;
  color: #767676;
}

.article-photo-link__text {
  text-decoration: underline;
  color: #2379ca;
}


/* あなたにはこちらもおすすめ！
=========================================================== */
.next-article-area {
  margin: 0 0 30px;
  width: 100%;
}

.next-article-area a {
  border-bottom: 0 !important;
  display: block;
}

.next-article-ttl {
  display: block;
  margin-bottom: -15px;
}

.next-article-topic {
  display: flex;
  align-items: center;
  margin: -1px 0 0;
  padding: 15px 1.0rem 10px;
  background: #f5f5f5;
}

.next-article-topic img {
  width: 100px;
  height: 62.7px;
  margin: 0 10px 0 0;
  object-fit: contain;
}

.next-article-topic p {
  font-weight: 700;
  font-size: 1.3rem;
  font-size: 13px;
  display: block;
  margin: 0;
  line-height: 1.15;
}

.next-article-area__title {
  display: none;
}

.next-article-area--fixed {
  display: none;
  position: fixed;
  bottom: 20%;
  left: 3%;
  width: 80%;
  z-index: 100;
}

.next-article-area--fixed .next-article-topic {
  display: block;
  line-height: 1.2em;
  padding-top: 16px;
  margin-top: -9px;
  padding-bottom: 12px;
  overflow: hidden;
  box-shadow: 2px 2px 2px 1px rgba(0, 0, 0, 0.2);
}

.next-article-area--fixed .next-article-topic img {
  float: left;
}

.next-article-area--fixed .next-article-ttl {
  display: none;
}

.next-article-area--fixed .next-article-area__title {
  display: inline-block;
  color: #fff;
  margin-bottom: 0px;
  margin-left: 7px;
  font-size: 12px;
  padding: 6px 10px;
  line-height: 1em;
  position: relative;
  z-index: 2;
}

.next-article-area--fixed .next-article-area__title:after {
  transform: skewX(-45deg);
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  display: block;
  background: #000;
}

.next-article-area--fixed .next-article-area__text {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  overflow: hidden;
  line-height: 1.2;
}

.next-article-area--fixed .next-article-area--fixed__close {
  width: 24px;
  height: 24px;
  position: absolute;
  top: 6px;
  right: -12px;
  display: block;
  margin: auto 0px;
  border-radius: 50%;
  background: #000;
}

.next-article-area--fixed .next-article-area--fixed__close:before,
.next-article-area--fixed .next-article-area--fixed__close:after {
  content: "";
  width: 12px;
  display: block;
  position: absolute;
  top: 11px;
  left: 6px;
  transform: rotate(45deg);
  border-top: 2px solid rgb(255, 255, 255);
}

.next-article-area--fixed .next-article-area--fixed__close:after {
  transform: rotate(-45deg);
}

/* article-source-link
=========================================================== */
.article-source-link {
  display: grid;
  grid-template-columns: 30% auto;
  grid-template-rows: auto;
  column-gap: 10px;
  margin-bottom: 20px;
  padding: 5% 3%;
  border: 1px solid #ddd;

  /* TODO: 詳細度で勝つために今はネストするが、将来的にはネストしないようにしたい */
  .article-source-link__heading {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    margin-bottom: 5%;
    padding: 8px 0 8px 10px;
    background-color: #e9e8e9;
    border-bottom: 1px solid #bfbfbf;
    font-size: 1.8rem;
    line-height: 1.6;
  }

  .article-source-link__thumb {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
    align-self: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-shrink: 0;
    padding-bottom: 0;
    border: 1px solid #ddd;
    line-height: 0;

    &:hover {
      padding-bottom: 0;
      border: 1px solid #ddd;
    }
  }

  .article-source-link__desc {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
  }

  .article-source-link__desc .title {
    margin-bottom: 5px;
    line-height: 1.6;
    font-size: 1.4rem;
  }

  .article-source-link__desc .issue {
    margin-bottom: 3%;
    font-weight: 700;
    font-size: 1.2rem;
  }

  .article-source-link__desc .default {
    margin-bottom: 0;
    line-height: 1.4;
    font-size: 1.2rem;
  }

  .article-source-link__desc .author {
    margin-top: 3%;
  }

  .article-source-link__buttons {
    grid-column: 1 / 3;
    grid-row: 3 / 4;
    display: flex;
    column-gap: 2%;
    margin-top: 5%;
    overflow: hidden;
    text-align: center;
  }

  .article-source-link__buttons>a {
    width: 49%;
    padding: 12px 0;
    border-bottom: none;
    text-align: center;
    font-size: 1.2rem;
    color: #fff;

    &:hover {
      padding: 12px 0;
      border-bottom: none;
      color: #fff;
      opacity: .7;
    }

    /* アイコン */
    &::before {
      content: "";
      display: inline-block;
      width: 18px;
      height: 18px;
      margin-right: 5px;
      background-size: 100%;
      background-repeat: no-repeat;
      vertical-align: middle;
    }

    &.amazon {
      background-color: #ea8a02;
      display: inline-block;
      border-radius: 5px;

      &::before {
        background-image: url(/common/images/bunshun/v1/article/book-cover/cart-transfer.png);
      }
    }

    &.contents {
      background-color: #000;
      border-radius: 5px;

      &:before {
        background-image: url(/common/images/bunshun/v1/article/book-cover/read.png);
      }
    }

    span {
      vertical-align: middle;
    }
  }
}

/* article-follow-button
=========================================================== */
.article-follow-button {
  display: grid;
  grid-template-columns: 35% auto;
  grid-template-rows: auto auto;
  align-items: center;
  column-gap: 2%;
  margin: 20px;
  padding: 2%;
  border: 2px solid #ddd;
}

.article-follow-button__thumb {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
  width: 100%;
}

.article-follow-button__text {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
  margin-top: auto;
  font-size: 1.4rem;
  font-size: 14px;
  font-weight: 700;
}

.article-follow-button__link {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 7px;
  margin-block: 5px auto;
  padding: 4% 2%;
  border-radius: 5px;
  background: #000;
  color: #fff;
  font-size: 1.3rem;
  font-size: 13px;
  font-weight: 700;

  &:hover {
    color: #fff;
  }

  /* アイコン */
  &::before {
    content: '';
    display: block;
    background: url(/common/images/bunshun/v1/common/socials/icon_x_white.png) no-repeat;
    background-size: contain;
    width: 16px;
    height: 16px;
    margin-bottom: 3px;
  }

  .medical-2017 & {
    color: #fff;

    &:hover {
      color: #fff;
    }
  }
}

/* article-mailmag-button
=========================================================== */
.article-mailmag-button {
  display: grid;
  grid-template-columns: 35% auto;
  grid-template-rows: auto auto;
  align-items: center;
  column-gap: 2%;
  margin: 20px;
  padding: 2%;
  border: 2px solid #ddd;
}

.article-mailmag-button__thumb {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
  width: 100%;
}

.article-mailmag-button__text {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
  margin-top: auto;
  font-size: 1.4rem;
  font-weight: 700;
}

.article-mailmag-button__link {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 7px;
  margin-block: 5px auto;
  padding: 4.5% 2% 3.5%;
  border-radius: 5px;
  background: #f72b2b;
  color: #fff;
  font-size: 1.3rem;
  font-weight: 700;

  &:hover {
    color: #fff;
  }

  /* アイコン */
  &::before {
    content: '';
    background: url(/common/images/bunshun/v1/common/socials/icon_mail_white.png) no-repeat;
    vertical-align: middle;
    display: inline-block;
    background-size: 21px auto;
    width: 23px;
    height: 16px;
    margin-bottom: 3px;
  }

  /* 週刊である */
  &.is-shukan {
    background: var(--color-shukan-primary);

    &::before {
      width: 21px;
      height: 15px;
    }
  }
}